org.apache.lucene.queryparser.xml.builders

## Class BooleanFilterBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.BooleanFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class BooleanFilterBuilder
    extends Object
    implements FilterBuilder

Builder for `BooleanFilter`

### Constructor Summary

Constructors
Constructor and Description
`BooleanFilterBuilder(FilterBuilder factory)`

### Method Summary

Methods
`Filter` `getFilter(Element e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanFilterBuilder

    public BooleanFilterBuilder(FilterBuilder factory)

### Method Detail

#### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

Specified by:
  `getFilter` in interface `FilterBuilder`
Throws:
  `ParserException`